org.codehaus.plexus.personality.plexus.lifecycle.phase

## Class AutoConfigurePhase

- java.lang.Object
- - org.codehaus.plexus.lifecycle.phase.AbstractPhase
  - - org.codehaus.plexus.personality.plexus.lifecycle.phase.AutoConfigurePhase

All Implemented Interfaces:
  Phase

    public class AutoConfigurePhase
    extends AbstractPhase

### Field Summary

Fields
`static String` `DEFAULT_CONFIGURATOR_ID`

### Constructor Summary

Constructors
Constructor and Description
`AutoConfigurePhase()`

### Method Summary

Methods
`void` `execute(Object object, ComponentManager manager)` Execute the phase.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_CONFIGURATOR_ID

    public static final String DEFAULT_CONFIGURATOR_ID

See Also:
  Constant Field Values

### Constructor Detail

#### AutoConfigurePhase

    public AutoConfigurePhase()

### Method Detail

#### execute

    public void execute(Object object,
               ComponentManager manager)
                 throws PhaseExecutionException

Description copied from class: `AbstractPhase`
Execute the phase.

Specified by:
  `execute` in interface `Phase`
Specified by:
  `execute` in class `AbstractPhase`
Throws:
  `PhaseExecutionException`